Bug 406181 - 3.8: Ajax Optimizations
3.8: Ajax Optimizations
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
Depends On: 426374 426376 426378 426384 426386 441550
Blocks: RHBZ30UpgradeTracker 427057
  Show dependency treegraph
Reported: 2007-11-30 11:58 EST by David Lawrence
Modified: 2013-06-24 00:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-27 23:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 325501 None None None Never

  None (edit)
Description David Lawrence 2007-11-30 11:58:08 EST
On certain pages Ajax optimizations are used to speed up page loading time. Red Hat has a high number of components for certain products. The component lists cause a large amount of HTML having to be downloaded by the client browser. The Ajax functions allow the UI to only show the components needed depending on which products are selected.

Function Requirements:
1. When selecting products on query.cgi, the components, versions, milestones fields are automatically updated.[[BR]] 2. When clicking on Bug Activity links on a bug report, the list is displayed inline instead of on a different page. (LOW Priority)[[BR]] 3. Guided bug entry pages[[BR]] 4. Only load full list products, components, and versions on show_bug.cgi if user requests it.[[BR]] 5. Components list updated depending on which product is selected in requests.cgi.[[BR]] 6. Pretty much self contained on the backend in Bugzilla/Ajax.pm and ajax.cgi. A lot of javascript though in js/*.js and the templates themselves.[[BR]] 7. Javascript and code in cgi's to detect whether javascript is enabled in browser.
Comment 1 David Lawrence 2007-12-20 14:02:05 EST
LOC Estimation:

LOC estimations are performed in the smaller bugs that block this one.

LOC Total: 707
Comment 2 Kevin Baker 2007-12-29 16:44:32 EST

I removed the LOC from this bug as they will be counted on the smaller bugs.

Comment 3 David Lawrence 2008-05-12 13:52:45 EDT
All dependencies have been marked as MODIFIED so marking this bug MODIFIED.

Note You need to log in before you can comment on or make changes to this bug.